Bug Hunting Session
Bug 122308 - Crash: closing LibreOffice while warning about signatures is open (gtk3)
Summary: Crash: closing LibreOffice while warning about signatures is open (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1 target:6.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-12-24 14:53 UTC by Xisco Faulí
Modified: 2019-01-10 08:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-24 14:53:36 UTC
Steps to reproduce:
1. Download attachment 54849 [details]  from bug 44182
2. Write something in the document
3. Click on Show signatures -> warning message is prompted about the signature
4. Close Libreoffice
-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 9520378e37b97b0a44130c86be482060465b479e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-12-24 15:00:06 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-02-19 16:33:35 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-02-22 22:07:38 +0100
commit	6a4c464b49dbfa2801818ead1b50bc9580824d00 (patch)
tree	3d6381b6b13576bc536670992b36784436486e95
parent	f7733528e88a6619f82b54b59e92a9bca72c0a89 (diff)
weld native message dialogs

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara

@Caolán, sorry for pain with this kind of issues...
Comment 2 Commit Notification 2019-01-08 21:00:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/79358a7588e1d5f02b8f9bf1ba9feb316af7f2a5%5E%21

Resolves: tdf#122308 ensure parent for message dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-01-08 21:01:27 UTC
backports in gerrit, fixed in master
Comment 4 Xisco Faulí 2019-01-09 10:12:53 UTC
So, the first dialog "The document has to be saved before it can be signed." no longer crashes but if we click yes, the second dialog "Saving will remove all existing signatures." still crashes if LibreOffice is closed while it's open.
Bisecting it point to the same commit -> 6a4c464b49dbfa2801818ead1b50bc9580824d00
Comment 5 Caolán McNamara 2019-01-09 10:35:11 UTC
https://gerrit.libreoffice.org/#/c/66007/ for the follow up issue
Comment 6 Commit Notification 2019-01-09 10:50:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8b25fa0e3051e2b168d66e40e485bd9e6e991341%5E%21

Resolves: tdf#122308 ensure parent for message dialog

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-09 13:07:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0aff7edaa4ec4a2aa232bac27f669e42435905b3%5E%21

Related: tdf#122308 missing parent for losing signature warning dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2019-01-09 13:08:22 UTC
backport to followup in gerrit, fixed in master
Comment 9 Xisco Faulí 2019-01-09 23:32:41 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 4f846cbc5ab3089648d36f2ba03b980cf7e31c0e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 10 Commit Notification 2019-01-09 23:34:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9f00473b9c0352d95ab0f9e6cafb6d24a64fdb65%5E%21

Related: tdf#122308 missing parent for losing signature warning dialog

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-01-10 08:53:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/7cb471e32c9b9db960bb3671c592dcd3292e4e52%5E%21

Resolves: tdf#122308 ensure parent for message dialog

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-01-10 08:53:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/b819eb3655f8285570cd03c9e40687c2bb2c2609%5E%21

Related: tdf#122308 missing parent for losing signature warning dialog

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.